Bug 527119 - re-branded spin still showing 'Fedora'
re-branded spin still showing 'Fedora'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2009-10-04 12:56 EDT by Danishka Navin
Modified: 2013-07-04 08:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:26:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Look in /etc/system-release to determine what name to use in modules/eula.py (964 bytes, patch)
2010-01-04 11:21 EST, Tom "spot" Callaway
no flags Details | Diff
Revised patch for generic name support (1.71 KB, patch)
2010-11-15 16:40 EST, Tom "spot" Callaway
no flags Details | Diff

  None (edit)
Description Danishka Navin 2009-10-04 12:56:18 EDT
Description of problem:

I have recently remixed Fedora 11.
I used generic-logos, generic-release-notes and generic-release

but in the firestboot still showing the word 'Fedora'.

That was..  'Thank you for installing Fedora'

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. download the remix http://sourceforge.net/projects/hanthana/files/11.0.5b/Hanthana-11.0.5-beta.iso/download

2. install the remix
3. check the firstboot
  
Actual results:

can see.. 
'Thank you for installing Fedora'


Expected results:

'Thank you for installing Fedora' should be able to change by the person who remix Fedora. 

Additional info:
Comment 1 Chris Lumens 2009-10-05 08:54:55 EDT
This occurs on the EULA screen, which I'm not willing to change without explicitly being told by legal that it's acceptable to do so.  Please talk with Fedora legal and make sure they let me know what I can and cannot do here.  Thanks.
Comment 2 Tom "spot" Callaway 2009-10-28 16:58:36 EDT
Putting this on FE-Legal so it doesn't fall off my radar.
Comment 3 Danishka Navin 2009-10-28 17:23:33 EDT
can we have some thing like 'Thank you for installing <distro_name>. The <distro_name> is based on Fedora...' in the beginning and rest of the part will be the existing text.

just a suggestion
Comment 4 Tom "spot" Callaway 2009-10-28 17:28:42 EDT
I'll look into what we can do here. We might be able to provide this text as part of the fedora-release-notes and have a generic version in generic-release-notes, but it is unlikely that this will happen before Fedora 12 releases.
Comment 5 Tom "spot" Callaway 2009-10-28 17:29:13 EDT
Or rather, fedora-release/generic-release.
Comment 6 Danishka Navin 2009-10-28 17:35:20 EDT
(In reply to comment #4)
> I'll look into what we can do here. We might be able to provide this text as
> part of the fedora-release-notes and have a generic version in
> generic-release-notes, but it is unlikely that this will happen before Fedora
> 12 releases.  

thats ok, if we will get an update :)

so, we can release the Fedora 12 based release with the corrected text.
Comment 7 Tom "spot" Callaway 2010-01-04 11:21:32 EST
Created attachment 381579 [details]
Look in /etc/system-release to determine what name to use in modules/eula.py

Chris, please take a look at this patch. I tested it with fedora-release and generic-release, and both work fine. You'd also want to add:

Requires: system-release

to the firstboot spec file.
Comment 8 Chris Lumens 2010-01-04 11:34:04 EST
diff -up firstboot-1.110/modules/eula.py.eula firstboot-1.110/modules/eula.py
--- firstboot-1.110/modules/eula.py.eula	2009-10-14 17:29:25.000000000 -0400
+++ firstboot-1.110/modules/eula.py	2010-01-04 11:09:23.836872620 -0500
@@ -42,7 +42,11 @@ class moduleClass(Module):
     def createScreen(self):
         self.vbox = gtk.VBox(spacing=10)
 
-        label = gtk.Label(_("""Thank you for installing Fedora.  Fedora is a \
+        with open('/etc/system-release', 'r') as release_file:
+            release_words = map(lambda l: l.split(" "), release_file.readlines())
+            release_name = release_words[0][0]
+
+        label = gtk.Label(_("""Thank you for installing """ + release_name + """.  """ + release_name + """ is a \
 compilation of software packages, each under its own license.  The \
 compilation is made available under the GNU General Public License version \
 2.  There are no restrictions on using, copying, or modifying this code.  \

Well, I can see a couple problems here.  First, this isn't going to work for multi-word distribution named ("Red Hat Enterprise Linux", most prominently).  If this file always has the format of "<Name of distribution> release <number> <code name>", then you could chop off everything from " release" on over and use that as the name.

Second, what happens if the with fails?  Then release_name goes unset and there'll be a traceback when we do the string substitution.

Third, the string substitution is probably awkward for translators.  They might prefer using %s or even %(distro)s and a dict afterwards.  But, you would have to ask someone more familiar with translation about that.
Comment 9 Tom "spot" Callaway 2010-01-04 11:53:43 EST
Thanks for the feedback. Here's some responses:

1. Keep in mind that my python skills are weak at best. :)
2. The RHEL case isn't being handled at all in eula.py. I assumed you'd probably end up implementing an alternate string (e.g. cd_label in additional_cds.py), so I didn't worry about it. Generating release_name from the text before the word "release" in the /etc/system-release seems like a reasonable solution, although, see #1.
3. Is it possible to wrap the "with" in try/except, and if it fails, set release_name to "Generic" ?
4. If there is a better/cleaner way to do the string substitution, by all means, do it! See #1. :)
Comment 10 Chris Lumens 2010-01-04 16:16:46 EST
> 2. The RHEL case isn't being handled at all in eula.py. I assumed you'd
> probably end up implementing an alternate string (e.g. cd_label in
> additional_cds.py), so I didn't worry about it. Generating release_name from
> the text before the word "release" in the /etc/system-release seems like a
> reasonable solution, although, see #1.

Well it doesn't need to be RHEL to hit this problem.  Anyone with a two-word named derived distribution is going to run into this problem.

Should be fairly easy to work around, though:

> 3. Is it possible to wrap the "with" in try/except, and if it fails, set
> release_name to "Generic" ?

I think the point of "with" is to avoid having to do a try/except construction.  In this case, just setting release_name = "Generic" immediately before the with should work.

> 4. If there is a better/cleaner way to do the string substitution, by all
> means, do it! See #1. :)  

Yeah I don't really know one way or the other what's best to do here.

I might consider a blurb of code like this:

    release_name = "Generic"
    with open('/etc/system-release', 'r') as release_file:
        line = release_file.readline()
        ndx = line.find)" release")
        release_name = line[:ndx]

        label = gtk.Label(_("""Thank you for installing %s.  %s is a blah blah blah") % (release_name, release_name)

This still needs to be made more bulletproof in case /etc/system-release has blanks lines before the one we're looking for, etc.
Comment 11 Tom "spot" Callaway 2010-01-04 16:30:27 EST
Okay, I leave this in your capable hands then.

It's worth noting that I really think we only need to worry about the cases we ship, where /etc/system-release is provided by fedora-release, redhat-release or generic-release, and in all of those, the name comes before the word "release".

I considered trying to grow a file which would live in *-release that was simply the name of the release, but it seemed like unnecessary bloat.
Comment 12 Chris Lumens 2010-01-06 09:25:22 EST
Martin - there should be enough information in the last few comments here to help you get this fixed in firstboot.  Let me know if you have any additional questions or patches that need review.
Comment 13 Tom "spot" Callaway 2010-04-19 14:33:27 EDT
Any update here? I realize I may have frightened people off with my awful python...
Comment 14 Bug Zapper 2010-04-28 06:41:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 10:54:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Danishka Navin 2010-06-28 11:42:29 EDT
I am reopening this bus as it appearing in Fedora 13.
Comment 17 Danishka Navin 2010-11-13 10:06:07 EST
I can still reproduce with firstboot-1.113-4.fc14.i686

"Thank you for installing Fedora.  Fedora is a \
compilation of software packages, each under its own license. ".....

I use free and non-free codecs but re-branded as much as possible.
but due to this bug there is no point in saying this is a remix of fedora. :) 

As First boot saying ""Thank you for installing Fedora" instead of "Thank you for installing Fedora Remix (or ABC Linux).
Comment 18 Tom "spot" Callaway 2010-11-15 16:40:25 EST
Created attachment 460675 [details]
Revised patch for generic name support

Updated patch that handles generic naming when /etc/system-release isn't available (and uses it when it is).
Comment 19 Fedora Admin XMLRPC Client 2011-02-16 11:09:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 Bug Zapper 2011-06-02 13:38:41 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Danishka Navin 2011-06-02 13:47:35 EDT
FYI,

I have fixed it by using sed for /usr/share/firstboot/modules/eula.py within my kickstart file. 

but there is a way of getting value from /etc/redhat-release when we use generic packages
Comment 22 Bug Zapper 2011-06-27 10:26:19 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.